Bug 838850 - empty language added to .i18n
empty language added to .i18n
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fonts-tweak-tool (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 06:03 EDT by Akira TAGOH
Modified: 2012-08-09 19:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:27:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2012-07-10 06:03:40 EDT
Description of problem:
empty entry is available in the language selection window for the GTK language order tab and it can be selected. this causes the empty language in the left pane.  this also reflects to the outcome in .i18n.

Version-Release number of selected component (if applicable):
fonts-tweak-tool-0.0.6-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1.click the GTK Language Order tab
2.click + icon to add the lang and select the empty line
3.add another lang and apply
  
Actual results:
#start: fonts-tweak-tool
PANGO_LANGUAGE=:af-ZA
#end:   fonts-tweak-tool

Expected results:
#start: fonts-tweak-tool
PANGO_LANGUAGE=af-ZA
#end:   fonts-tweak-tool

Additional info:
Comment 1 James Ni 2012-07-24 00:09:34 EDT
Hi tagoh

Thanks a lot, i have commit a change to upstream to fix this issue. Please take a reference from:

https://github.com/jamesni/fonts-tweak-tool/commit/e8873f8d3cd5a1425abb3856879a3851b9028924

I will make a new release 0.0.7 to include this changes
Comment 2 Fedora Update System 2012-07-24 22:21:02 EDT
fonts-tweak-tool-0.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.0.7-1.fc16
Comment 3 Fedora Update System 2012-07-24 22:21:29 EDT
fonts-tweak-tool-0.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.0.7-1.fc17
Comment 4 Fedora Update System 2012-08-06 22:18:43 EDT
fonts-tweak-tool-0.0.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.0.8-1.fc17
Comment 5 Fedora Update System 2012-08-06 22:19:12 EDT
fonts-tweak-tool-0.0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.0.8-1.fc16
Comment 6 Fedora Update System 2012-08-09 19:27:20 EDT
fonts-tweak-tool-0.0.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.